Skip to main content
POST

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
string
required

Unique organization identifier.

Maximum string length: 24
Pattern: ^[0-9a-f]{24}$

Body

application/json
type
enum<string>
required

Operation command type.

Available options:
execute_microservice,
delete_workspaces,
shutdown_workspaces,
restart_workspaces,
suspend_workspaces
target
object
required

Scope and objectives object.

expiration_in_seconds
integer

Custom expiration in seconds. If omitted, the command's default value is used.

Required range: 600 <= x <= 84600
payload
object

Specific load of the operation type. Payload is not allowed for delete_workspaces/shutdown_workspaces/restart_workspaces/suspend_workspaces.

Response

Operations created successfully.

ids
object[]
required

Identifiers of operations created in the same order as they were created.

Minimum array length: 1